Package net.sf.saxon.lib

## Class OutputURIResolverWrapper

- java.lang.Object
- - net.sf.saxon.lib.OutputURIResolverWrapper

- All Implemented Interfaces:
    `ResultDocumentResolver`

      public class OutputURIResolverWrapper
      extends java.lang.Object
      implements ResultDocumentResolver

  This class is an implementation of the `ResultDocumentResolver` interface that wraps a supplied `OutputURIResolver`. It is provided to give backwards compatibility for applications that use the old `OutputURIResolver` interface.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OutputURIResolverWrapper​(OutputURIResolver resolver)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `OutputURIResolver` | `getOutputURIResolver()` |
    `Receiver` | `resolve​(XPathContext context, java.lang.String href, java.lang.String baseUri, SerializationProperties properties)` | Saxon calls this method when an `xsl:result-document` instruction with an `href` attribute is evaluated

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OutputURIResolverWrapper

          public OutputURIResolverWrapper​(OutputURIResolver resolver)

  - ### Method Detail

    - #### resolve

          public Receiver resolve​(XPathContext context,
                                  java.lang.String href,
                                  java.lang.String baseUri,
                                  SerializationProperties properties)
                           throws XPathException

      Saxon calls this method when an `xsl:result-document` instruction with an `href` attribute is evaluated
      Specified by:
        `resolve` in interface `ResultDocumentResolver`
      Parameters:
        `context` - the dynamic evaluation context
        `href` - the effective value of the href attribute
        `baseUri` - the base output URI of the transformation (typically, the destination of the principal output
        `properties` -
      Returns:
        a new instance of the `ResultDocumentInstance` class; which Saxon will then call for further information.
      Throws:
        `XPathException` - if a result document cannot be opened

    - #### getOutputURIResolver

          public OutputURIResolver getOutputURIResolver()